<?php
require_once 'Image/Graph.php';
require_once 'Image/Canvas.php';
$Canvas =& Image_Canvas::factory('svg',
  array('width' => 600, 'height' => 400)); 
$Graph =& Image_Graph::factory('graph', $Canvas);
$Font =& $Graph->addNew('ttf_font', 'Gothic');
$Font->setSize(8);
$Graph->setFont($Font);
$Graph->add(Image_Graph::vertical(
 Image_Graph::factory('title',
   array('Primary & Secondary Axis', 11)),
 Image_Graph::vertical(
  $Plotarea = Image_Graph::factory('plotarea'),
  $Legend = Image_Graph::factory('legend'),90),5));
$Legend->setPlotarea($Plotarea);
   
$GridY2 =& $Plotarea->addNew('bar_grid',
  IMAGE_GRAPH_AXIS_Y_SECONDARY);
$GridY2->setFillStyle(Image_Graph::factory(
  'gradient', array(IMAGE_GRAPH_GRAD_VERTICAL,
  'white', 'lightgrey') ) );
$Dataset1 =& Image_Graph::factory('random',
  array(8, 10, 100, true));
$Plot1 =& $Plotarea->addNew('line', &$Dataset1);
$Plot1->setLineColor('red');
$Dataset2 =& Image_Graph::factory('random',
  array(8, 1, 10, true));
$Plot2 =& $Plotarea->addNew
  ('Image_Graph_Plot_Area', $Dataset2,
   IMAGE_GRAPH_AXIS_Y_SECONDARY);
$Plot2->setLineColor('gray');
$Plot2->setFillColor('blue@0.2');
$Plot1->setTitle('Primary Axis');
$Plot2->setTitle('Secondary Axis');
$AxisX =& $Plotarea->getAxis(IMAGE_GRAPH_AXIS_X);
$AxisX->setTitle('Oranges');
$AxisY =& $Plotarea->getAxis(IMAGE_GRAPH_AXIS_Y);
$AxisY->setTitle('Apples', 'vertical');
$AxisYsecondary =& $Plotarea->getAxis(
  IMAGE_GRAPH_AXIS_Y_SECONDARY);
$AxisYsecondary->setTitle('Pears', 'vertical2');
                
// output the Graph
$Graph->done();
?>