<?php

require_once('XML/SVG.php');

$options = array('width'  => 200, 
                 'height' => 200);

$svg = &new XML_SVG_Document($options);

$circle = &new XML_SVG_Circle(array('cx' => 100,  // Circle X
                                    'cy' => 100,  // Circle Y
                                    'r' => 50,    // Radius
                                    'style' => 'stroke-width:3'));

$circle->addChild(new XML_SVG_Animate(array('attributeName' => 'r',
                                            'attributeType' => 'XML',
                                            'from' => 50,
                                            'to' => 100,
                                            'dur' => '3s',
                                            'fill' => 'freeze')));

$svg->addChild($circle);

$svg->printElement();

?>
